package com.njyunzhi.admin.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njyunzhi.repository.IBaseService;
import com.njyunzhi.repository.entity.TaPerson;

/**
 * 人员表;(ta_person)表服务接口
 *
 * @author : http://www.chiner.pro
 * @date : 2024-2-26
 */
public interface TaPersonService extends IBaseService<TaPerson> {

    /**
     * 通过ID查询单条数据
     *
     * @param personId 主键
     * @return 实例对象
     */
    TaPerson queryById(String personId);

    /**
     * 分页查询
     *
     * @param taPerson 筛选条件
     * @param current  当前页码
     * @param size     每页大小
     * @return
     */
    Page<TaPerson> paginQuery(TaPerson taPerson, long current, long size);

    /**
     * 新增数据
     *
     * @param taPerson 实例对象
     * @return 实例对象
     */
    TaPerson insert(TaPerson taPerson);

    /**
     * 更新数据
     *
     * @param taPerson 实例对象
     * @return 实例对象
     */
    TaPerson update(TaPerson taPerson);

    /**
     * 通过主键删除数据
     *
     * @param personId 主键
     * @return 是否成功
     */
    boolean deleteById(String personId);
}