package com.njyunzhi.admin.service.framework;

import com.njyunzhi.admin.service.SysLogService;
import com.njyunzhi.framework.service.IOpLogService;
import com.njyunzhi.repository.entity.SysLog;
import com.njyunzhi.repository.entity.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class OpLogService implements IOpLogService {

    @Autowired
    @Lazy
    SysLogService sysLogService;

    @Override
    public void save(Map data) {
        if (null == data) return ;

        SysUser sysUser = (SysUser) data.get("user");
        SysLog sysLog = new SysLog();
        sysLog.setClientType("pc.admin");
        sysLog.setModuleName((String) data.get("moduleName"));
        sysLog.setIp((String) data.get("ip"));
        sysLog.setUa((String) data.get("ua"));
        sysLog.setUri((String) data.get("uri"));
        sysLog.setDesc((String) data.get("desc"));
        sysLog.setAction((String) data.get("action"));

        if (null != sysUser) {
            sysLog.setLoginId(sysUser.getUserId());
            sysLog.setUserName(sysUser.getUserName());
        }

        sysLogService.save(sysLog);
    }
}
