package com.njyunzhi.common.util;

public enum MimeType {
    JPG("image/jpg"),
    JPEG("image/jpeg"),
    GIF("image/gif"),
    PNG("image/png"),
    PDF("application/pdf"),
    PPT("application/vnd.ms-powerpoint"),
    PPTX("application/vnd.openxmlformats-officedocument.presentationml.presentation"),
    ;

    final String type;

    private MimeType(String type) {
        this.type = type;
    }

    public static boolean isPdf(String type) {
        return MimeType.PDF.type.equals(type);
    }
    public static boolean isPpt(String type) {
        return MimeType.PPT.type.equals(type) || MimeType.PPTX.type.equals(type);
    }
    public static boolean isImage(String type) {
        return MimeType.JPG.type.equals(type)
                || MimeType.JPEG.type.equals(type)
                || MimeType.GIF.type.equals(type)
                || MimeType.PNG.type.equals(type);
    }
}
