package com.njyunzhi.common.util.excel;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.write.builder.ExcelWriterBuilder;
import com.alibaba.excel.write.style.column.LongestMatchColumnWidthStyleStrategy;
import com.njyunzhi.common.util.StringUtil;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public class ExcelUtil {

    /**
     * 发送 excel 到客户端
     * 暂时只支持单 sheet 页
     * @param response
     * @param data
     * @param fileName
     * @throws IOException
     */
    public static void flush(HttpServletResponse response, Class dataClass, List data, String fileName) throws IOException {
        response.setContentType("application/vnd.ms-excel");
        response.setCharacterEncoding("utf-8");
        response.setHeader("Access-Control-Expose-Headers", "Content-Disposition");
        response.setHeader("Content-Disposition", "attachment;filename="+ StringUtil.urlEncode(fileName)+".xlsx");

        EasyExcel.write(response.getOutputStream(), dataClass).sheet("sheet1").doWrite(data);
    }

    public static void flush(HttpServletResponse response, List<List<String>> head, List<List<Object>> data, String fileName) throws IOException {
        response.setContentType("application/vnd.ms-excel");
        response.setCharacterEncoding("utf-8");
        response.setHeader("Access-Control-Expose-Headers", "Content-Disposition");
        response.setHeader("Content-Disposition", "attachment;filename="+ StringUtil.urlEncode(fileName)+".xlsx");

        ExcelWriterBuilder writerBuilder = EasyExcel.write(response.getOutputStream());
        writerBuilder.head(head);
        writerBuilder.registerWriteHandler(new LongestMatchColumnWidthStyleStrategy())
                .sheet("sheet")
                .doWrite(data);
    }

//    public static void flush(HttpServletResponse response, List<List<Map<String, Object>>> data, List<List<String>> customHead, String fileName) throws IOException {
//        response.setContentType("application/vnd.ms-excel");
//        response.setCharacterEncoding("utf-8");
//        response.setHeader("Access-Control-Expose-Headers", "Content-Disposition");
//        response.setHeader("Content-Disposition", "attachment;filename="+ StringUtil.urlEncode(fileName)+".xlsx");
//
//        boolean noCustomHeads = null == customHead || customHead.size() == 0;
//
//        List<List<String>> head = new ArrayList<>();
//        List<List<Object>> contents = new ArrayList<>();
//        if (null != data && data.size() > 0) {
//            int row = 0;
//            for (List<Map<String, Object>> fields: data) {
//
//                List<Object> item = new ArrayList<>();
//                for (Map<String, Object> field: fields) {
//                    if (row == 0 && noCustomHeads) {
//                        List<String> keys = new ArrayList<>();
//                        keys.add(field.get("name").toString());
//                        head.add(keys);
//                    }
//
//                    item.add(field.get("value"));
//                }
//
//                contents.add(item);
//                row += 1;
//            }
//        }
//
//        ExcelWriterBuilder writerBuilder = EasyExcel.write(response.getOutputStream());
//        if (noCustomHeads) {
//            writerBuilder.head(head);
//        } else {
//            writerBuilder.head(customHead);
//        }
//
//        writerBuilder.registerWriteHandler(new CellWidthWriteHandler())
//                .sheet("sheet")
//                .registerConverter(new TimestampConverter())
//                .registerConverter(new DateConverter())
//                .doWrite(contents);
//    }

}
