package com.njyunzhi.framework.datascope;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 业务操作需要依赖 Sa-Token
 * Sa-Token 通过 Filter 注入相关业务
 * 当前数据权限的业务，必须在其之后, 因此使用了 拦截器
 */
@Configuration
public class DataScopeConfigure implements WebMvcConfigurer {
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 注册 Sa-Token 拦截器，打开注解式鉴权功能
        registry.addInterceptor(new DataScopeInterceptor()).addPathPatterns("/**");
    }
}
