package com.njyunzhi.framework.datascope;

import java.util.Objects;

public enum DataScopeType {
    ALL(1, "全部"),
    SELF(2, "仅本人"),
    DEPT(4, "仅当前部门"),
    DEPT_AND_CHILDREN(8, "当前部门及以下"),
    CUSTOM(16, "自定义"),
    ;

    private Integer code;
    private String name;

    DataScopeType(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static DataScopeType of(Integer code) {

        Objects.requireNonNull(code, "数据范围权限类型不允许为空");

        for (DataScopeType dataScopeType : DataScopeType.values()) {
            if (dataScopeType.getCode().equals(code)) {
                return dataScopeType;
            }
        }

        throw new IllegalArgumentException(String.format("未识别的数据范围权限类型值[%s]", code));
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public boolean eq(DataScopeType target) {
        return Objects.equals(code, target.getCode());
    }
}
