package com.njyunzhi.framework.mybatisplus;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.njyunzhi.framework.service.IUserService;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.time.LocalDateTime;

@Slf4j
@Component
public class MyMetaObjectHandler implements MetaObjectHandler {

    @Resource
    HttpServletRequest request;

    @Resource
    IUserService userService;


    @Override
    public void insertFill(MetaObject metaObject) {
//        String loginType = (String) request.getAttribute("loginType");

        try {
            Object user = request.getAttribute("user");
            String tenantId = (String) request.getAttribute("tenantId");
            String userId = userService.getUserIdBy(user);

            if (user != null) {
                this.strictInsertFill(metaObject, "createdAt", LocalDateTime::now, LocalDateTime.class);
                this.strictInsertFill(metaObject, "createdBy", () -> userId, String.class);
                this.strictInsertFill(metaObject, "updatedAt", LocalDateTime::now, LocalDateTime.class);
                this.strictInsertFill(metaObject, "updatedBy", () -> userId, String.class);
            }
            if (null != tenantId) {
                this.strictInsertFill(metaObject, "tenantId", () -> tenantId, String.class);
            }

            this.strictInsertFill(metaObject, "deleted", () -> 0, Integer.class);
//            metaObject.setValue("deleted",0);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void updateFill(MetaObject metaObject) {
//        String loginType = (String) request.getAttribute("loginType");

        try {
            Object user = request.getAttribute("user");
//            String tenantId = (String) request.getAttribute("tenantId");
            String userId = userService.getUserIdBy(user);
            String userName = userService.getUserNameBy(user);

//            if (user != null) {
                this.strictInsertFill(metaObject, "updatedAt", LocalDateTime::now, LocalDateTime.class);
                this.strictInsertFill(metaObject, "updatedBy", () -> userId, String.class);
//            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
