package com.njyunzhi.framework.util;

import cn.dev33.satoken.SaManager;

/**
 * 简易版本的 Redis 客户端工具
 * 借用了 Sa-token 工具
 */
public class RedisTool {

    /**
     * 获取 Value，如无返空
     * @param key
     * @return
     */
    public static Object get(String key) {
        return SaManager.getSaTokenDao().getObject(key);
    }

    /**
     * 写入 value .
     * @param key
     * @param value
     * @param sec 存活时间 (单位: 秒)
     */
    public static void set(String key, Object value, long sec) {
        SaManager.getSaTokenDao().setObject(key, value, sec);
    }

    /**
     * 更新 value
     * @param key
     * @param value
     */
    public static void update(String key, Object value) {
        SaManager.getSaTokenDao().updateObject(key, value);
    }

    /**
     * 删除对象
     * @param key
     */
    public static void remove(String key) {
        SaManager.getSaTokenDao().deleteObject(key);
    }

}
