package com.njyunzhi.platform.service.impl;

import com.njyunzhi.common.util.EncryptUtil;
import com.njyunzhi.platform.common.Constants;
import com.njyunzhi.platform.service.FxUserService;
import com.njyunzhi.repository.BaseServiceImpl;
import com.njyunzhi.repository.entity.FxLogin;
import com.njyunzhi.repository.entity.FxUser;
import com.njyunzhi.repository.mapper.FxLoginMapper;
import com.njyunzhi.repository.mapper.FxUserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 用户表;(fx_user)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2023-10-25
 */
@Service
public class FxUserServiceImpl extends BaseServiceImpl<FxUserMapper, FxUser> implements FxUserService {

    @Autowired
    FxLoginMapper fxLoginMapper;

    @Override
    public void mergeData(FxUser fxUser) {
        //
        FxUser origin = getById(fxUser.getUserId());

        // 用户表
        if (null == origin) {
            if (null == fxUser.getStatus()) {
                fxUser.setStatus(Constants.STATUS_NORMAL);
            }
            save(fxUser);
        } else {
            fxUser.setStatus(Constants.STATUS_NORMAL);
            updateById(fxUser);
        }

        // 登录账号
        FxLogin fxLogin = fxLoginMapper.getInfoBy(Constants.LOGIN_TYPE, fxUser.getPhone());
        if (null == fxLogin) {
            fxLogin = new FxLogin();
            fxLogin.setUserId(fxUser.getUserId());
            fxLogin.setLoginType(Constants.LOGIN_TYPE);
            fxLogin.setLoginName(fxUser.getPhone());
            fxLogin.setPassword(EncryptUtil.md5(EncryptUtil.md5("123456"), fxUser.getUserId()));
            fxLogin.setStatus(Constants.STATUS_NORMAL);
            fxLoginMapper.insert(fxLogin);
        }

    }

    @Override
    public void removeUserLoginById(String userId) {
        baseMapper.removeUserLoginById(userId);
    }


}