package com.njyunzhi.repository;

import cn.dev33.satoken.stp.StpUtil;
import com.njyunzhi.common.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;

@Component
public class BaseController {

    @Autowired
    @Lazy
    protected HttpServletRequest request;


    /**
     * 获取当前用户
     * Saas 用户
     *
     * @return
     * @throws Exception
     */
    public Object currentUser() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtil.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        return request.getAttribute("user");
    }

    /**
     * 获取租户ID
     *
     * @return
     */
    public String getTenantId() {
        String tenantId = (String) request.getAttribute("tenantId");
        return tenantId;
    }

}
