package com.njyunzhi.repository;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

public class BaseServiceImpl<M extends BaseMapper<T>, T> extends ServiceImpl<M, T> implements IBaseService<T> {

    @Override
    public long countBy(String column, Object value) {
        QueryWrapper<T> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(column, value);
        return count(queryWrapper);
    }

    @Override
    public T getByUniqueId(String uniqueId) {
        QueryWrapper<T> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("unique_id", uniqueId);
        return getOne(queryWrapper);
    }

    @Override
    public T getByButNot(String column, Object value, String col, Object val) {
        QueryWrapper<T> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(column, value);
        queryWrapper.ne(col, val);
        queryWrapper.last("limit 1");

        return getOne(queryWrapper);
    }

    @Override
    public T getExistBy(String column, Object value, boolean normal) {
        QueryWrapper<T> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(column, value);
        queryWrapper.eq(normal, "status", 1);
        queryWrapper.last("limit 1");
        return getOne(queryWrapper);
    }
}
