package com.njyunzhi.repository.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

 /**
 * 登录信息表;
 * @author : http://www.chiner.pro
 * @date : 2023-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "登录信息表",description = "")
@TableName("fx_login")
public class FxLogin implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "登录ID",notes = "")
    @TableId(value = "login_id", type = IdType.ASSIGN_UUID)
    private String loginId ;
    
    @ApiModelProperty(name = "用户ID",notes = "")
    private String userId ;
    
    @ApiModelProperty(name = "登录类型",notes = "")
    private String loginType ;
    
    @NotBlank(message = "登录名不能为空")
    @ApiModelProperty(name = "登录名",notes = "")
    private String loginName ;
    
    @ApiModelProperty(name = "密码",notes = "")
    private String password ;
    
    @ApiModelProperty(name = "状态",notes = "1正常")
    private Integer status ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdAt ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt ;
    
    @ApiModelProperty(name = "删除标志",notes = "1删除,0正常")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}