package com.njyunzhi.repository.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

 /**
 * 菜单表;
 * @author : http://www.chiner.pro
 * @date : 2023-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "菜单表",description = "")
@TableName("fx_menu")
public class FxMenu implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "菜单ID",notes = "")
    @TableId(value = "menu_id", type = IdType.ASSIGN_UUID)
    private String menuId ;
    
    @ApiModelProperty(name = "菜单编码",notes = "")
    private String menuCode ;
    
    @NotBlank(message = "菜单名称不能为空")
    @ApiModelProperty(name = "菜单名称",notes = "")
    private String menuName ;
    
    @ApiModelProperty(name = "上级ID",notes = "")
    private String parentId ;
    
    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNo ;
    
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    
    @ApiModelProperty(name = "终端类型",notes = "")
    private String clientType ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdAt ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt ;
    
    @ApiModelProperty(name = "删除标志",notes = "1删除,0正常")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}