package com.njyunzhi.repository.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 租户表;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "租户表", description = "")
@TableName("fx_tenant")
public class FxTenant implements Serializable, Cloneable {

    @ApiModelProperty(name = "租户号", notes = "")
    @TableId(value = "tenant_id", type = IdType.ASSIGN_UUID)
    private String tenantId;

    @ApiModelProperty(name = "租户编号", notes = "")
    private String tenantCode;

    @NotBlank(message = "租户名称不能为空")
    @ApiModelProperty(name = "租户名称", notes = "")
    private String tenantName;

    @ApiModelProperty(name = "开始时间", notes = "")
//    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String startTime;

    @ApiModelProperty(name = "结束时间", notes = "")
//    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String endTime;

    @ApiModelProperty(name = "管理员名称", notes = "")
    private String manager;

    @ApiModelProperty(name = "手机号", notes = "")
    private String phone;

    @ApiModelProperty(name = "关联登录主键", notes = "")
    private String loginId;

    @ApiModelProperty(name = "排序", notes = "")
    private Integer sortNo;

    @ApiModelProperty(name = "状态", notes = "1正常,0未激活,2停用")
    private Integer status;

    @ApiModelProperty(name = "创建人", notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy;

    @ApiModelProperty(name = "创建时间", notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdAt;

    @ApiModelProperty(name = "更新人", notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy;

    @ApiModelProperty(name = "更新时间", notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt;

    @ApiModelProperty(name = "删除标志", notes = "1删除,0正常")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted;

}