package com.njyunzhi.repository.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

 /**
 * 用户表;
 * @author : http://www.chiner.pro
 * @date : 2023-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "用户表",description = "")
@TableName("fx_user")
public class FxUser implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "用户ID",notes = "")
    @TableId(value = "user_id", type = IdType.ASSIGN_UUID)
    private String userId ;
    
    @NotBlank(message = "用户名称不能为空")
    @ApiModelProperty(name = "用户名称",notes = "")
    private String userName ;
    
    @ApiModelProperty(name = "头像",notes = "")
    private String avatar ;
    
    @ApiModelProperty(name = "手机",notes = "")
    private String phone ;
    
    @ApiModelProperty(name = "岗位ID",notes = "")
    private String positionId ;
    
    @ApiModelProperty(name = "部门ID",notes = "")
    private String deptId ;
    
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdAt ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt ;
    
    @ApiModelProperty(name = "删除标志",notes = "1删除,0正常")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}