package com.njyunzhi.repository.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

 /**
 * 系统日志;
 * @author : http://www.chiner.pro
 * @date : 2023-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "系统日志",description = "")
@TableName("sys_log")
public class SysLog implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "日志ID",notes = "")
    @TableId(value = "log_id", type = IdType.ASSIGN_UUID)
    private String logId ;
    
    @ApiModelProperty(name = "登录ID",notes = "")
    private String loginId ;
    
    @NotBlank(message = "用户名不能为空")
    @ApiModelProperty(name = "用户名",notes = "")
    private String userName ;
    
    @NotBlank(message = "模块名称不能为空")
    @ApiModelProperty(name = "模块名称",notes = "")
    private String moduleName ;
    
    @ApiModelProperty(name = "访问路径",notes = "")
    private String uri ;
    
    @ApiModelProperty(name = "操作内容",notes = "")
    private String action ;

    @ApiModelProperty(name = "操作详情",notes = "")
    @TableField("`desc`")
    private String desc ;
    
    @ApiModelProperty(name = "用户ID",notes = "")
    private String ip ;
    
    @ApiModelProperty(name = "User Agent",notes = "")
    private String ua ;
    
    @ApiModelProperty(name = "终端类型",notes = "")
    private String clientType ;
    
    @ApiModelProperty(name = "租户号",notes = "没有租户则代表是平台")
    private String tenantId ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdAt ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt ;
    
    @ApiModelProperty(name = "删除标志",notes = "1删除,0正常")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}