package com.njyunzhi.repository.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 系统角色;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "系统角色", description = "")
@TableName("sys_role")
public class SysRole implements Serializable, Cloneable {

    @ApiModelProperty(name = "角色ID", notes = "")
    @TableId(value = "role_id", type = IdType.ASSIGN_UUID)
    private String roleId;

    @NotBlank(message = "角色名称不能为空")
    @ApiModelProperty(name = "角色名称", notes = "")
    private String roleName;

    @ApiModelProperty(name = "排序", notes = "")
    private Integer sortNo;

    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;

    @ApiModelProperty(name = "租户号", notes = "")
    private String tenantId;

    @ApiModelProperty(name = "创建人", notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy;

    @ApiModelProperty(name = "创建时间", notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdAt;

    @ApiModelProperty(name = "更新人", notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy;

    @ApiModelProperty(name = "更新时间", notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt;

    @ApiModelProperty(name = "删除标志", notes = "1删除,0正常")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted;

}