package com.njyunzhi.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.repository.entity.FxLogin;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 登录信息表;(fx_login)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
@Mapper
public interface FxLoginMapper  extends BaseMapper<FxLogin>{

    @Select("select * from fx_login where login_type = #{loginType} and login_name = #{loginName}")
    FxLogin getInfoBy(@Param("loginType") String loginType,
                      @Param("loginName") String loginName);

    @Select("select count(*) from fx_login where user_id = #{userId} and password = #{password}")
    Long countByUserAndPassword(@Param("userId") String userId,
                                @Param("password") String password);

    Long updateUserPassword(@Param("userId") String userId,
                            @Param("password") String password);
 }