package com.njyunzhi.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.repository.entity.SysLogin;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * 登录信息表;(sys_login)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
@Mapper
public interface SysLoginMapper  extends BaseMapper<SysLogin>{

    @Select("select * from sys_login where login_type = #{loginType} and login_name = #{loginName}")
    SysLogin getInfoBy(@Param("loginType") String loginType,
                       @Param("loginName") String loginName);

    @Select("select count(*) from sys_login where user_id = #{userId} and password = #{password}")
    Long countByUserAndPassword(@Param("userId") String userId,
                                @Param("password") String password);


    Long updateUserPassword(@Param("userId") String userId,
                            @Param("password") String password);

    void updateLogin(@Param("params") Map<String, Object> params);
}