package com.njyunzhi.repository.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.repository.entity.SysMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 菜单表;(sys_menu)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
@Mapper
public interface SysMenuMapper extends BaseMapper<SysMenu> {

    List<SysMenu> getByUser(@Param("userId") String userId);

    @InterceptorIgnore(tenantLine = "")
    long removeByTenant(@Param("tenantId") String tenantId,
                        @Param("codeList") List<String> idList);

    @InterceptorIgnore(tenantLine = "")
    long addByTenant(@Param("tenantId") String tenantId,
                     @Param("codeList") List<String> idList);

    @InterceptorIgnore(tenantLine = "")
    long fixParentId(@Param("tenantId") String tenantId);

    List<SysMenu> selectAll();

    @InterceptorIgnore(tenantLine = "")
    List<SysMenu> getAllByTenant(@Param("tenantId") String tenantId);
}