package com.njyunzhi.repository.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.repository.entity.FxTenant;
import com.njyunzhi.repository.entity.SysUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 用户管理;(sys_user)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
@Mapper
public interface SysUserMapper extends BaseMapper<SysUser> {

    List<SysUser> getTaPerson(@Param("phone") String phone);

    SysUser getSysuser(@Param("phone") String phone, @Param("tenantId") String tenantId);

    SysUser getSysuserTan(@Param("tenantId") String tenantId);

    IPage<FxTenant>  getTenantList(@Param("pg") IPage<FxTenant> pg, @Param("phone") String phone, @Param("ew") QueryWrapper QueryWrapper);

    void updateUser(@Param("params") Map<String, Object> params);
}